summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRachel Powers <508861+Ryex@users.noreply.github.com>2023-05-10 21:03:19 -0700
committerRachel Powers <508861+Ryex@users.noreply.github.com>2023-06-16 21:15:36 -0700
commit030c5e70de38dc40994d14707018ec46700787e7 (patch)
tree1cd3645e71768e88a32b3bc23b42190293efaf7c
parent651ff8356ce125c6ee41da5edd9e981492fa7d1a (diff)
downloadProject-Tick-030c5e70de38dc40994d14707018ec46700787e7.tar.gz
Project-Tick-030c5e70de38dc40994d14707018ec46700787e7.zip
update update.sh
Signed-off-by: Rachel Powers <508861+Ryex@users.noreply.github.com>
-rwxr-xr-xupdate.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/update.sh b/update.sh
index 9286c80ca6..573a333288 100755
--- a/update.sh
+++ b/update.sh
@@ -46,13 +46,15 @@ python updateForge.py || fail_in
python updateFabric.py || fail_in
python updateQuilt.py || fail_in
python updateLiteloader.py || fail_in
+python updateJava.py || fail_in
if [ "${DEPLOY_TO_GIT}" = true ] ; then
- upstream_git add mojang/version_manifest_v2.json mojang/versions/* || fail_in
+ upstream_git add mojang/version_manifest_v2.json mojang/java_all.json mojang/versions/* || fail_in
upstream_git add forge/*.json forge/version_manifests/*.json forge/installer_manifests/*.json forge/files_manifests/*.json forge/installer_info/*.json || fail_in
upstream_git add fabric/loader-installer-json/*.json fabric/meta-v2/*.json fabric/jars/*.json || fail_in
upstream_git add quilt/loader-installer-json/*.json quilt/meta-v3/*.json quilt/jars/*.json || fail_in
upstream_git add liteloader/*.json || fail_in
+ upstream_git add java_runtime/adoptium/available_releases.json java_runtime/adoptium/versions/*.json java_runtime/azul/packages.json java_runtime/azul/versions/*.json || fail_in
if ! upstream_git diff --cached --exit-code ; then
upstream_git commit -a -m "Update ${currentDate}" || fail_in
upstream_git push || exit 1
@@ -67,6 +69,7 @@ python generateForge.py || fail_out
python generateFabric.py || fail_out
python generateQuilt.py || fail_out
python generateLiteloader.py || fail_out
+python generageJava.py || fail_out
python index.py || fail_out
if [ "${DEPLOY_TO_GIT}" = true ] ; then
@@ -75,6 +78,7 @@ if [ "${DEPLOY_TO_GIT}" = true ] ; then
launcher_git add net.fabricmc.fabric-loader/* net.fabricmc.intermediary/* || fail_out
launcher_git add org.quiltmc.quilt-loader/* || fail_out # TODO: add Quilt hashed, once it is actually used
launcher_git add com.mumfrey.liteloader/* || fail_out
+ launcher_git add net.minecraft.java/* || fail_out
if ! launcher_git diff --cached --exit-code ; then
launcher_git commit -a -m "Update ${currentDate}" || fail_out